<bugID>873519<Summary>Failing assertions on OSX</Summary><Description>We're seeing the following assertion failures pretty consistently on our OSX debug builds:

03:26:54     INFO -  6 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/forms/test/test_bug231389.html | Assertion count 3 is greater than expected range 0-0 assertions.
03:26:55     INFO -  110 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/forms/test/test_bug478219.xhtml | Assertion count 3 is greater than expected range 0-0 assertions.
03:27:00     INFO -  253 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/forms/test/test_bug564115.html | Assertion count 3 is greater than expected range 0-0 assertions.
03:27:53     INFO -  1281 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_bug514732.html | Assertion count 3 is greater than expected range 0-0 assertions.
03:28:03     INFO -  1745 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_page_scroll_with_fixed_pos.html | Assertion count 3 is greater than expected range 0-0 assertions.
03:28:06     INFO -  1773 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping.xhtml | Assertion count 3 is greater than expected range 0-0 assertions.
03:28:08     INFO -  1789 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping_table.xhtml | Assertion count 3 is greater than expected range 0-0 assertions.
03:28:13     INFO -  1806 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_focus.html | Assertion count 3 is greater than expected range 0-0 assertions.
03:34:28     INFO -  172055 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_notifications_popup.html | Assertion count 6 is greater than expected range 0-0 assertions.
03:36:05     INFO -  173001 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/places/tests/test_bug_94514.html | Assertion count 3 is greater than expected range 0-0 assertions.

Gijs mentioned that he's reproduced them locally and that they go through our drawintitlebar code, so that's likely the culprit causing this.</Description></bugID>